package de.steamwar.lobby.special.easter;

import de.steamwar.lobby.LobbySystem;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class EggHunt {

    private static List<Egg> eggList = new ArrayList<>();

    public static final String EGG_HUNT_CONFIG_KEY = "egghunt2023";

    public static void init() {
        new EggHuntCommand();
        new EggClickListener();
        new EggHuntListener();
    }

    static {
        File file = new File(LobbySystem.getPlugin().getDataFolder(), "eggs.yml");
        FileConfiguration fileConfiguration = YamlConfiguration.loadConfiguration(file);
        fileConfiguration.getList("eggs")
                .forEach(o -> {
                    if (!(o instanceof Map)) return;
                    eggList.add(new Egg((Map) o));
                });
    }

    public static List<Egg> getEggList() {
        return eggList;
    }
}
